Unassign a Global Role - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Unassign a Global Role
POST /v2.0/users/{userId}/removerolefromuser
Try it
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/users/{userId}/removerolefromuser \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/users/{userId}/removerolefromuser"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/users/{userId}/removerolefromuser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users/{userId}/removerolefromuser",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Error Responses
- 400: Bad Request
{ "type": "Bad Request", "title": "Bad Request Error", "status": 400, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} } - 401: Unauthorized
{ "type": "Unauthorized", "title": "Unauthorized Error", "status": 401, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 401, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }
Authorizations
- API Key: Required in the HTTP header.
Headers
- Accept: Specifies the media type expected in the response. Options include
application/json,application/xml, etc.
Path Parameters
- userId: Required string length:
24, pattern:^[a-z0-9]{24}$.
Body
- role: Enum options include
admin,userManager, etc.
Response
- 204: User-role was removed from the user.